Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.naming
Class NamingUtil

    java.lang.Object
      org.mortbay.naming.NamingUtil

    public class NamingUtil

extends Object

Util.java Created: Tue Jul 1 18:26:17 2003

Version:
  1.0
Author:
  Jan Bartel

Constructor Summary
`NamingUtil()`

Method Summary
`static void` | `bind(Context ctx, String nameStr, Object obj)` Bind an object to a context ensuring all subcontexts are created if necessary
`static Map` | `flattenBindings(Context ctx, String name)` Do a deep listing of the bindings for a context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamingUtil

    public NamingUtil()

Method Detail

### bind

    public static void bind(Context ctx,
                            String nameStr,
                            Object obj)
                     throws NamingException

  Bind an object to a context ensuring all subcontexts are created if necessary

  Parameters:
    `ctx` - the context into which to bind
    `name` - the name relative to context to bind
    `obj` - the object to be bound
  Throws:
    `NamingException` - if an error occurs

### flattenBindings

    public static Map flattenBindings(Context ctx,
                                      String name)
                               throws NamingException

  Do a deep listing of the bindings for a context.

  Parameters:
    `ctx` - the context containing the name for which to list the bindings
    `name` - the name in the context to list
  Returns:
    map: key is fully qualified name, value is the bound object
  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.